libnl: nfnl_queue_msg Struct Reference

libnl 3.10.0

Data Fields
nfnl_queue_msg Struct Reference

## Data Fields
NLHDR_COMMON uint16_t | queue_msg_group
uint8_t | queue_msg_family
uint8_t | queue_msg_hook
uint16_t | queue_msg_hwproto
uint32_t | queue_msg_packetid
uint32_t | queue_msg_mark
struct timeval | queue_msg_timestamp
uint32_t | queue_msg_indev
uint32_t | queue_msg_outdev
uint32_t | queue_msg_physindev
uint32_t | queue_msg_physoutdev
uint8_t | queue_msg_hwaddr [8]
int | queue_msg_hwaddr_len
void * | queue_msg_payload
int | queue_msg_payload_len
uint32_t | queue_msg_verdict

## Detailed Description

Definition at line 135 of file nl-netfilter.h.

## Field Documentation

## ◆ queue_msg_group

NLHDR_COMMON uint16_t nfnl_queue_msg::queue_msg_group

Definition at line 138 of file nl-netfilter.h.

## ◆ queue_msg_family

uint8_t nfnl_queue_msg::queue_msg_family

Definition at line 139 of file nl-netfilter.h.

## ◆ queue_msg_hook

uint8_t nfnl_queue_msg::queue_msg_hook

Definition at line 140 of file nl-netfilter.h.

## ◆ queue_msg_hwproto

uint16_t nfnl_queue_msg::queue_msg_hwproto

Definition at line 141 of file nl-netfilter.h.

## ◆ queue_msg_packetid

uint32_t nfnl_queue_msg::queue_msg_packetid

Definition at line 142 of file nl-netfilter.h.

## ◆ queue_msg_mark

uint32_t nfnl_queue_msg::queue_msg_mark

Definition at line 143 of file nl-netfilter.h.

## ◆ queue_msg_timestamp

struct timeval nfnl_queue_msg::queue_msg_timestamp

Definition at line 144 of file nl-netfilter.h.

## ◆ queue_msg_indev

uint32_t nfnl_queue_msg::queue_msg_indev

Definition at line 145 of file nl-netfilter.h.

## ◆ queue_msg_outdev

uint32_t nfnl_queue_msg::queue_msg_outdev

Definition at line 146 of file nl-netfilter.h.

## ◆ queue_msg_physindev

uint32_t nfnl_queue_msg::queue_msg_physindev

Definition at line 147 of file nl-netfilter.h.

## ◆ queue_msg_physoutdev

uint32_t nfnl_queue_msg::queue_msg_physoutdev

Definition at line 148 of file nl-netfilter.h.

## ◆ queue_msg_hwaddr

uint8_t nfnl_queue_msg::queue_msg_hwaddr[8]

Definition at line 149 of file nl-netfilter.h.

## ◆ queue_msg_hwaddr_len

int nfnl_queue_msg::queue_msg_hwaddr_len

Definition at line 150 of file nl-netfilter.h.

## ◆ queue_msg_payload

void* nfnl_queue_msg::queue_msg_payload

Definition at line 151 of file nl-netfilter.h.

## ◆ queue_msg_payload_len

int nfnl_queue_msg::queue_msg_payload_len

Definition at line 152 of file nl-netfilter.h.

## ◆ queue_msg_verdict

uint32_t nfnl_queue_msg::queue_msg_verdict

Definition at line 153 of file nl-netfilter.h.